<?php
// $Id: casetracker_work.views.inc,v 1.1.2.1 2008/03/31 17:46:53 sime Exp $

function _casetracker_work_views_default_views() {
  $view = new stdClass(); 
  $view->name = 'casetracker_work_node';
  $view->description = 'This view is used to present work listing on a node.';
  $view->access = array ();
  $view->view_args_php = '';
  $view->page = TRUE;
  $view->page_title = '';
  $view->page_header = '';
  $view->page_header_format =   '1';
  $view->page_footer = '';
  $view->page_footer_format =   '1';
  $view->page_empty = '';
  $view->page_empty_format = '  1';
  $view->page_type = 'table';
  $view->url = 'casetracker/work/node';
  $view->use_pager = FALSE;
  $view->nodes_per_page = '0';
  $view->sort = array (
  );
  $view->argument = array (
    array (
      'type' => 'nid',
      'argdefault' => '1',
      'title' => '',
      'options' => '0',
      'wildcard' => '',
      'wildcard_substitution' => '',
    ),
  );
  $view->field = array (
    array (                   
      'tablename' => 'casetracker_work',
      'field' => 'uid',       
      'label' => 'User',      
    ),                        
    array (                   
      'tablename' => 'casetracker_work',
      'field' => 'activity',  
      'label' => 'Activity',  
    ),                        
    array (                   
      'tablename' => 'casetracker_work',
      'field' => 'start',     
      'label' => 'Start',     
      'handler' => 'views_handler_field_date_custom',
      'defaultsort' => 'ASC', 
      'options' => 'd M',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'duration',
      'label' => 'Duration',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'rate',
      'label' => 'Rate',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'edit',
      'label' => '',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'casetracker_work',
      'field' => 'has_work',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array('node'  , 'casetracker_work');
  $views[$view->name] = $view;

  $view = new stdClass(); 
  $view->name = 'casetracker_work_user';
  $view->description = 'This view is used to present work listing for a user.';
  $view->access = array ();
  $view->view_args_php = '';
  $view->page = TRUE;
  $view->page_title = '';
  $view->page_header = '';
  $view->page_header_format =   '1';
  $view->page_footer = '';
  $view->page_footer_format =   '1';
  $view->page_empty = '';
  $view->page_empty_format = '  1';
  $view->page_type = 'table';
  $view->url = 'casetracker/work/user';
  $view->use_pager = FALSE;
  $view->nodes_per_page = '0';
  $view->sort = array ();
  $view->argument = array (
    array (
      'type' => 'work_uid',
      'argdefault' => '1',
      'title' => '',
      'options' => '',
      'wildcard' => '',
      'wildcard_substitution' => '',
    ),
  );
  $view->field = array (
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => 'Project or case',
      'handler' => 'views_handler_field_nodelink',
      'options' => 'link',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'activity',
      'label' => 'Activity',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'start',
      'label' => 'Start',
      'handler' => 'views_handler_field_date_custom',
      'defaultsort' => 'ASC',
      'options' => 'd M',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'duration',
      'label' => 'Duration',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'rate',
      'label' => 'Rate',
    ),
    array (
      'tablename' => 'casetracker_work',
      'field' => 'edit',
      'label' => '',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'casetracker_work',
      'field' => 'has_work',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array ();
  $view->requires = array('node', 'casetracker_work');
  $views[$view->name] = $view;
  
  return $views;
}
